### Hierarchy

- UIInjectorImpl

### Implements

- UIInjector

## Index

### Constructors

- constructor

### Properties

- context
- native

### Methods

- get
- getAsync
- getNative

## Constructors

- new UIInjectorImpl(context: ResolveContext): UIInjectorImpl

- #### Parameters

  - ##### context ResolveContext

  #### Returns UIInjectorImpl

  - Defined in resolve/resolveContext.ts:191

## Properties

context: ResolveContext

- Defined in resolve/resolveContext.ts:193

native: $InjectorLike

- Defined in resolve/resolveContext.ts:191

## Methods

- get(token: any): any

- #### Parameters

  - ##### token any

  #### Returns any

  Implementation of UIInjector.get

  - Defined in resolve/resolveContext.ts:197

- getAsync(token: any): Promise<any>

- #### Parameters

  - ##### token any

  #### Returns Promise<any>

  Implementation of UIInjector.getAsync

  - Defined in resolve/resolveContext.ts:213

- getNative(token: any): any

- #### Parameters

  - ##### token any

  #### Returns any

  Implementation of UIInjector.getNative

  - Defined in resolve/resolveContext.ts:219

Generated using TypeDoc